# CREATE RAO

Create a new registration authority officer.

Endpoint: POST /api/v1/rao
Version: v1

## Request fields (application/json):

  - `registration_authority_master` (string, required)
    The registration authority master id

  - `registration_authority` (string, required)
    The list of the RAs where the RAO can operate

  - `certificate` (string, required)
    The Request certificate in Base64 format

  - `given_name` (string, required)
    The RAO's name

  - `surname_1` (string, required)
    The RAO's first surname

  - `surname_2` (string)
    The RAO's second surname

  - `id_document_number` (string)
    The RAO's document number

  - `id_document_issuer` (string)
    The document issuer

  - `email` (string)
    A valid email address

## Response 200 fields (application/json):

  - `pk` (number)
    The created RAO's unique id

  - `given_name` (string)
    The created RAO's given name

  - `surname_1` (number)
    The created RAO's first surname

  - `surname_2` (string)
    The created RAO's second surname

  - `certificate` (object)
    An object with information about the RAO's request certificate

  - `id_document_number` (string)
    The created RAO's id document number

  - `id_document_description` (string)
    The created RAO's document description

  - `id_document_issuer` (string)
    The created RAO's document issuer

  - `registration_authority` (array)
    The created RAO's registration authorities where he can operate

  - `registration_authority_master` (string)
    The created RAO's master registration authority id

  - `id_identificator` (boolean)

## Response 400 fields (application/json):

  - `detail` (string)
    JSON syntax error

## Response 500 fields (application/json):

  - `code` (string)
    The response status code

  - `id` (string)
    The response status id

  - `error` (string)
    The response status message


